
#include "simplicialComplex/tet.h"
#include "util/geometry.h"

struct MeshPoint3
{
    Tet tet;
    vec4 baryCoords;

    inline vec3 GetPosition() const
    {
        vec3 v[4];
        tet.Vertices( v[0], v[1], v[2], v[3] );
        return Affine( baryCoords, v[0], v[1], v[2], v[3] );
    }
};
